dst.defineClass("com.dst.slms.proapproval.monmarkmange.monMarkMangeEdit", dst.framework.coreBillBaseEdit, {
	initalizeDOM:function(){
		com.dst.slms.proapproval.monmarkmange.monMarkMangeEdit.superClass.initalizeDOM.call(this);
	},
	E1_editChange:function(datagridTarget,target,index,field,newValue,oldValue){
		//获取编辑行数据
		debugger;
		if(field=='planAmt'){
			var rows = datagridTarget.datagrid('getRows');
			var dxrow = rows[index];
			var Amtall=0;
			dxrow[field]=newValue;
			for (var v = 0; v < rows.length; v++) {
				var row = rows[v];
				var planAmt =row["planAmt"]==undefined?0:row["planAmt"];
				Amtall=Number(Amtall)+Number(planAmt);

			}
			$("#totalAMT").numberbox("setValue", Amtall);
		}
	},
});